> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Retrieve Offboarding Request

GET https://api.letsdeel.com/rest/eor/contracts/{contract_id}/offboarding

Retrieves the offboarding request associated with a specific EOR contract, including termination details, document review status, offboarding request data, and pending employee notification state.

 **Token scopes**: `contracts:read`, `worker:read`

Reference: https://developer.deel.com/api/eor-endpoints/eor-offboarding/get-contract-offboarding

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `contract_id` (string, required) — The unique identifier of the employee contract.

## Response

### 200

Successful retrieval of the offboarding request.

- `data` (EorContractsContractIdOffboardingGetResponsesContentApplicationJsonSchemaData, required)

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of EorContractsContractIdOffboardingGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

Unauthorized

- `errors` (list of EorContractsContractIdOffboardingGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 403 Forbidden Error

Forbidden

- `errors` (list of EorContractsContractIdOffboardingGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Internal Server Error

- `errors` (list of EorContractsContractIdOffboardingGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### EorContractsContractIdOffboardingGetResponsesContentApplicationJsonSchemaData

- `id` (string, optional) — The unique identifier of the offboarding request
- `end_date` (string, optional, nullable) — The definitive contract end date
- `documents` (EorContractsContractIdOffboardingGetResponsesContentApplicationJsonSchemaDataDocuments, optional) — Document management structure for termination workflow including review processes and supporting documents
- `created_at` (string, optional) — The date and time the offboarding request was created
- `updated_at` (string, optional) — The date and time the offboarding request was updated
- `contract_id` (string, optional) — The unique identifier of the employee contract.
- `is_sensitive` (boolean, optional) — Indicates if the offboarding request is sensitive. This is used to restrict access to the request only to the requester and the HRX team.
- `request_data` (EorContractsContractIdOffboardingGetResponsesContentApplicationJsonSchemaDataRequestData, optional, nullable)
- `desired_end_date` (string, optional, nullable) — The desired end date. If the date is not provided, it will be selected by HRX the closest date possible

### EorContractsContractIdOffboardingGetResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, optional) — Error code of the handler which produced the returned error
- `field` (string, optional) — The field name where error occurred (null for server errors)
- `message` (string, optional) — Description of the returned error

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### EorContractsContractIdOffboardingGetResponsesContentApplicationJsonSchemaDataDocuments

Document management structure for termination workflow including review processes and supporting documents

- `supporting` (list of EorContractsContractIdOffboardingGetResponsesContentApplicationJsonSchemaDataDocumentsSupportingItems, required)
- `offboarding` (list of EorContractsContractIdOffboardingGetResponsesContentApplicationJsonSchemaDataDocumentsOffboardingItems, required) — Document set shared that requires client or employee review

### EorContractsContractIdOffboardingGetResponsesContentApplicationJsonSchemaDataRequestData

- `reason` (enum, optional) — The reason for the termination
  - Allowed values: `STATUS_CHANGE`, `RELOCATION`, `COMPENSATION`, `RETIREMENT`, `JOB_ABANDONMENT`, `WORK_RELATED`, `PERSONAL`, `OTHER_OPPORTUNITY`, `NON_RENEWAL`, `PROBATION`, `ASSIGNMENT_ENDED`, `POSITION_ELIMINATION`, `FORCE_REDUCTION`, `DEATH`, `FOR_CAUSE`, `PERFORMANCE`, `MEDICAL`, `PERFORMANCE_ISSUES`, `ATTENDANCE_ISSUES`, `REORGANIZATION_DOWNSIZING_BUDGET_OR_REDUCTION_OF_WORKFORCE`, `ROLE_BECAME_REDUNDANT_OR_ROLE_CHANGED`, `OFFER_WAS_REVOKED`, `EXITING_THE_MARKET`, `NO_LONGER_WISH_TO_WORK_WITH_DEEL`, `COMPANY_ACQUIRED`, `STEALING`, `MISCONDUCT`, `FALSIFYING`, `HARASSMENT`, `VIOLENCE`, `REORGANIZATION_DOWNSIZING_BUDGET_OR_REDUCTION_OF_WORKFORCE_OR_ROLE_BECAME_REDUNDANT_OR_ROLE_CHANGED`, `UNAUTHORIZED_ABSENCES_OR_LACK_OF_ATTENDANCE`, `STANDARD_RESELLER_PRACTICE`, `MOVING_EMPLOYEE_TO_INTERNAL_ENTITY`, `MOVING_EMPLOYEE_TO_DEEL_PEO`, `OTHER`
- `end_date` (string, optional, nullable) — The definitive contract end date
- `reason_detail` (string, optional, nullable) — Optional field to describe the reason behind the resignation request
- `used_time_off` (EorContractsContractIdOffboardingGetResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOff, optional) — Time-off usage data including policy information and tracking periods
- `desired_end_date` (string, optional, nullable) — The desired end date. If the date is not provided, it will be selected by HRX the closest date possible
- `eligible_for_rehire` (enum, optional, nullable) — Parameter to inform whether it would be possible for the client to hire the employee again
  - Allowed values: `YES`, `NO`, `DONT_KNOW`
- `eligible_for_rehire_reason` (string, optional, nullable) — Describe if the option DONT_KNOW was selected on eligible_for_rehire

### EorContractsContractIdOffboardingGetResponsesContentApplicationJsonSchemaDataDocumentsSupportingItems

- `id` (string, required) — The unique identifier of the file
- `name` (string, required) — The name of the file
- `type` (string, required) — The type/extension of the file
- `created_at` (string, required) — The date and time the file was created
- `updated_at` (string, required) — The date and time the file was updated
- `is_additional_supporting_document` (boolean, required) — Indicates if this is an additional supporting document added after the initial submission

### EorContractsContractIdOffboardingGetResponsesContentApplicationJsonSchemaDataDocumentsOffboardingItems

- `files` (list of EorContractsContractIdOffboardingGetResponsesContentApplicationJsonSchemaDataDocumentsOffboardingItemsFilesItems, required)
- `status` (enum, required) — The current status of the document review
  - Allowed values: `AWAITING_REVIEW`, `AWAITING_FEEDBACK`, `FEEDBACK_PROVIDED`, `APPROVED`, `CHANGES_REQUESTED_BY_CLIENT`, `CHANGES_REQUESTED_BY_EMPLOYEE`, `WAIVED_REVIEW`, `NOT_RESPONDED`, `CANCELLED`
- `reviewer_type` (enum, required) — The type of reviewer for this document
  - Allowed values: `CLIENT`, `EMPLOYEE`
- `is_employee_notification_required` (boolean, required) — Indicates if the employee should be notified about this document review
- `id` (string, optional) — The unique identifier of the document set shared with the employee.
- `created_at` (string, optional) — The date and time the document set was created
- `updated_at` (string, optional) — The date and time the document set was updated
- `reviewed_at` (string, optional, nullable) — The date and time when the document was reviewed
- `reviewed_by` (string, optional, nullable) — The name of the reviewer for this document. If the reviewer is not an employee, it will be the name of the client
- `reviewer_feedback` (string, optional, nullable) — Feedback provided by the reviewer
- `notification_instructions` (string, optional, nullable) — HTML instructions for the reviewer notification

### EorContractsContractIdOffboardingGetResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOff

Time-off usage data including policy information and tracking periods

- `time_offs` (list of EorContractsContractIdOffboardingGetResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffTimeOffsItems, required)
- `is_deel_pto_confirmed` (boolean, required) — Indicates whether the PTO allocation has been confirmed by Deel's system
- `additional_details` (EorContractsContractIdOffboardingGetResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffAdditionalDetails, optional, nullable)

### EorContractsContractIdOffboardingGetResponsesContentApplicationJsonSchemaDataDocumentsOffboardingItemsFilesItems

- `id` (string, required) — The unique identifier of the file
- `name` (string, required) — The name of the file
- `type` (string, required) — The type/extension of the file
- `created_at` (string, required) — The date and time the file was created
- `updated_at` (string, optional) — The date and time the file was updated

### EorContractsContractIdOffboardingGetResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffTimeOffsItems

- `unit` (enum, required) — The unit of measurement for time off tracking
  - Allowed values: `BUSINESS_DAY`, `CALENDAR_DAY`, `HOUR`
- `policy_type` (string, required) — The type of time-off policy
- `tracking_periods` (list of EorContractsContractIdOffboardingGetResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffTimeOffsItemsTrackingPeriodsItems, required)
- `scheduled_until_end_date` (double, required) — The amount of time off scheduled until the end date of the current tracking period

### EorContractsContractIdOffboardingGetResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffAdditionalDetails

- `notes` (string, optional, nullable) — Additional notes or comments about the time-off data
- `updated_by` (string, optional, nullable) — The person or system that last updated the time-off data
- `last_updated_at` (string, optional, nullable) — The date and time when the time-off data was last updated

### EorContractsContractIdOffboardingGetResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffTimeOffsItemsTrackingPeriodsItems

- `used` (double, required) — The amount of time off used in this tracking period
- `end_date` (string, required) — The end date of the tracking period
- `start_date` (string, required) — The start date of the tracking period

## Examples

**Response**

```json
{
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "end_date": "2025-01-31T00:00:00.000Z",
    "documents": {
      "supporting": [
        {
          "id": "cmddlk1ghehm54l18gejg198r",
          "name": "Supporting Documentation",
          "type": "pdf",
          "created_at": "2025-07-21T21:07:27.713Z",
          "updated_at": "2025-07-21T21:07:27.713Z",
          "is_additional_supporting_document": false
        }
      ],
      "offboarding": [
        {
          "files": [
            {
              "id": "cmdeh9wzgvihue4r54n2y51p4",
              "name": "Employee Sign Off Documents",
              "type": "pdf",
              "created_at": "2025-07-22T11:55:23.068Z",
              "updated_at": "2025-07-22T11:55:23.068Z"
            }
          ],
          "status": "AWAITING_REVIEW",
          "reviewer_type": "EMPLOYEE",
          "is_employee_notification_required": true,
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "created_at": "2025-07-22T11:55:23.068Z",
          "updated_at": "2025-07-22T11:55:23.068Z",
          "reviewed_at": "2025-07-22T12:30:00.000Z",
          "reviewed_by": "John Doe",
          "reviewer_feedback": "Document needs clarification on section 3",
          "notification_instructions": "<p>Please review and provide feedback on the attached documents.</p>"
        }
      ]
    },
    "created_at": "2025-01-31T00:00:00.000Z",
    "updated_at": "2025-01-31T00:00:00.000Z",
    "contract_id": "5B74FnLM",
    "is_sensitive": false,
    "request_data": {
      "reason": "PERFORMANCE",
      "end_date": "2025-01-31T00:00:00.000Z",
      "reason_detail": "Employee is moving to another country",
      "used_time_off": {
        "time_offs": [
          {
            "unit": "BUSINESS_DAY",
            "policy_type": "Vacation",
            "tracking_periods": [
              {
                "used": 0,
                "end_date": "2025-02-28T00:00:00.000Z",
                "start_date": "2024-03-01T00:00:00.000Z"
              },
              {
                "used": 0,
                "end_date": "2024-02-29T00:00:00.000Z",
                "start_date": "2023-03-01T00:00:00.000Z"
              },
              {
                "used": 0,
                "end_date": "2023-02-28T00:00:00.000Z",
                "start_date": "2022-03-01T00:00:00.000Z"
              }
            ],
            "scheduled_until_end_date": 0
          }
        ],
        "is_deel_pto_confirmed": true,
        "additional_details": null
      },
      "desired_end_date": "2025-01-31",
      "eligible_for_rehire": "DONT_KNOW",
      "eligible_for_rehire_reason": "Employee is not eligible for rehire due to performance issues"
    },
    "desired_end_date": "2025-01-31T00:00:00.000Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/eor/contracts/1pj00yy/offboarding"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/eor/contracts/1pj00yy/offboarding';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/eor/contracts/1pj00yy/offboarding"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/eor/contracts/1pj00yy/offboarding")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/eor/contracts/1pj00yy/offboarding")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/eor/contracts/1pj00yy/offboarding', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/eor/contracts/1pj00yy/offboarding");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/eor/contracts/1pj00yy/offboarding")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```